<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionJsonFileParser&lt; Class T &gt; Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionJsonFileParser&lt; Class T &gt; Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>TODO: Use JsonApiStruct for a much more flexible JSON parser.  
 <a href="../../dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:ae701d470db40e2772afbd357881f5e37"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html#ae701d470db40e2772afbd357881f5e37">Load</a> (string filename, out T data)</td></tr>
<tr class="separator:ae701d470db40e2772afbd357881f5e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef53eb2c3d6469cd39e2e8653dad6225"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html#aef53eb2c3d6469cd39e2e8653dad6225">Save</a> (string filename, T data)</td></tr>
<tr class="separator:aef53eb2c3d6469cd39e2e8653dad6225"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cf1eeddcdbbc6aec878afd9aacef2cf"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html#a5cf1eeddcdbbc6aec878afd9aacef2cf">ReadFromString</a> (string string_data, out T data)</td></tr>
<tr class="separator:a5cf1eeddcdbbc6aec878afd9aacef2cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae92a7dfceca50da36efb3b84c8dae9cb"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html#ae92a7dfceca50da36efb3b84c8dae9cb">AsString</a> (T data)</td></tr>
<tr class="separator:ae92a7dfceca50da36efb3b84c8dae9cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a007a291810e474aa3abd3ca39b0312fb"><td class="memItemLeft" align="right" valign="top">static protected ref JsonSerializer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html#a007a291810e474aa3abd3ca39b0312fb">m_Serializer</a> = new JsonSerializer</td></tr>
<tr class="separator:a007a291810e474aa3abd3ca39b0312fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >TODO: Use JsonApiStruct for a much more flexible JSON parser. </p>
<p ><a class="el" href="../../db/d54/expansionjsonfileparser_8c.html">ExpansionJsonFileParser.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html#l00014">14</a> of file <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html">expansionjsonfileparser.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae92a7dfceca50da36efb3b84c8dae9cb" name="ae92a7dfceca50da36efb3b84c8dae9cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae92a7dfceca50da36efb3b84c8dae9cb">&#9670;&#160;</a></span>AsString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string ExpansionJsonFileParser&lt; Class T &gt;::AsString </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html#l00062">62</a> of file <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html">expansionjsonfileparser.c</a>.</p>

</div>
</div>
<a id="ae701d470db40e2772afbd357881f5e37" name="ae701d470db40e2772afbd357881f5e37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae701d470db40e2772afbd357881f5e37">&#9670;&#160;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool ExpansionJsonFileParser&lt; Class T &gt;::Load </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out T&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html#l00018">18</a> of file <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html">expansionjsonfileparser.c</a>.</p>

</div>
</div>
<a id="a5cf1eeddcdbbc6aec878afd9aacef2cf" name="a5cf1eeddcdbbc6aec878afd9aacef2cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cf1eeddcdbbc6aec878afd9aacef2cf">&#9670;&#160;</a></span>ReadFromString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool ExpansionJsonFileParser&lt; Class T &gt;::ReadFromString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>string_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out T&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html#l00051">51</a> of file <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html">expansionjsonfileparser.c</a>.</p>

</div>
</div>
<a id="aef53eb2c3d6469cd39e2e8653dad6225" name="aef53eb2c3d6469cd39e2e8653dad6225"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef53eb2c3d6469cd39e2e8653dad6225">&#9670;&#160;</a></span>Save()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionJsonFileParser&lt; Class T &gt;::Save </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html#l00040">40</a> of file <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html">expansionjsonfileparser.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a007a291810e474aa3abd3ca39b0312fb" name="a007a291810e474aa3abd3ca39b0312fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a007a291810e474aa3abd3ca39b0312fb">&#9670;&#160;</a></span>m_Serializer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref JsonSerializer ExpansionJsonFileParser&lt; Class T &gt;::m_Serializer = new JsonSerializer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html#l00016">16</a> of file <a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html">expansionjsonfileparser.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/tools/<a class="el" href="../../db/d54/expansionjsonfileparser_8c_source.html">expansionjsonfileparser.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d66/class_expansion_json_file_parser_3_01_class_01_t_01_4.html">ExpansionJsonFileParser&lt; Class T &gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
